package com.itjob.service;

import java.util.List;

import com.itjob.dao.model.Role;
/**
 * 角色信息管理的业务逻辑接口类.
 */
public interface RoleManager {
	public List getRoleList() throws Exception;
	public void saveRole(Role role) throws Exception;
	public Role getRole(long trId) throws Exception;
	public void updateRole(Role role) throws Exception;
	public void deleteRole(String[] idArray) throws Exception;
	public void updateRoleRight(long trId, String rightIds) throws Exception;
}
